spring.profiles.active=@profiles.active@
#freemarker
spring.freemarker.allow-request-override=false
spring.freemarker.allow-session-override=false
spring.freemarker.cache=false
spring.freemarker.charset=UTF-8
spring.freemarker.spring.freemarker.check-template-location=true
spring.freemarker.content-type=text/html
spring.freemarker.enabled=true
spring.freemarker.expose-request-attributes=false
spring.freemarker.expose-session-attributes=false
spring.freemarker.expose-spring-macro-helpers=true
spring.freemarker.prefer-file-system-access=true
spring.freemarker.suffix=.html
spring.freemarker.template-loader-path=classpath:/templates/
spring.freemarker.settings.template_update_delay=0
spring.freemarker.settings.default_encoding=UTF-8
spring.freemarker.settings.classic_compatible=true
jdbc.driverClass=com.mysql.jdbc.Driver
spring.redis.jedis.pool.max-idle=8
spring.redis.jedis.pool.max-wait=-1
spring.redis.jedis.pool.min-idle=0
spring.redis.timeout=5000
spring.servlet.multipart.max-file-size=100Mb
spring.servlet.multipart.max-request-size=100Mb
mybatis.mapper-locations=classpath:mapper/**/*.xml
mybatis.type-aliases-package=com.fjs.scenic.entity
mybatis.configuration.map-underscore-to-camel-case=true
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8
logging.level.com.fjs.scenic.mapper=debug
spring.datasource.hikari.maximum-pool-size=60
spring.datasource.hikari.connection-timeout=60000
spring.datasource.hikari.idle-timeout=60000
spring.datasource.hikari.validation-timeout=3000
spring.datasource.hikari.max-lifetime=60000
spring.datasource.hikari.login-timeout=5
spring.datasource.hikari.minimum-idle=10

#FTP
FTP_ADDRESS=null
FTP_PORT=0
FTP_USERNAME=null
FTP_PASSWORD=null
FTP_BASEPATH=null
FTP_VOID_BASEPATH=null
# 上传
NGINX_PORT=0
img.path=null
img.addr=null
# 微信
CERT_FILE_NAME=null
APPID=null
MCH_ID=null
API_KEY=null
NOTIFY_URL=null
FEFUND_NOTIFY=null
#短信
ACCESS_KEY_ID=null
ACCESS_KEY_SECRET=null
SIGN_NAME=null
CAPTACHA_PHONE=null
# cyt
ota.cyt.createUser=null
ota.cyt.key=null
ota.cyt.apiUrl=null
